#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libidn2-2.3.0

- Next

  libksba-1.5.0

- Up
- Home

# libiodbc-3.52.12

## Introduction to libiodbc

libiodbc is an API to ODBC compatible databases.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/iodbc/libiodbc-3.52.12.tar.gz

- Download MD5 sum: c76cab12a642a024bd1a262615a1a4a8

- Download size: 1.1 MB

- Estimated disk space required: 26 MB

- Estimated build time: 0.3 SBU

### libiodbc Dependencies

#### Recommended

GTK+-2.24.33 (to create the GUI admin tool)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libiodbc

## Installation of libiodbc

Install libiodbc by running the following commands:

    ./configure --prefix=/usr                   \
                --with-iodbc-inidir=/etc/iodbc  \
                --includedir=/usr/include/iodbc \
                --disable-libodbc               \
                --disable-static                &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--with-iodbc-inidir=/etc/iodbc`: libiodbc will install configuration files in this directory.

`--includedir=/usr/include/iodbc`: This installs the interface headers to a private directory to avoid a conflict with headers installed by unixODBC.

`--disable-libodbc`: This prevents the installation of the `libodbc.so` symbolic link to avoid a conflict with unixODBC.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: iodbc-config, iodbctest, iodbctestw, and iodbcadm-gtk
Installed Libraries: libdrvproxy.so, libiodbc.so, libiodbcinst.so, and libiodbcadm.so
Installed Directory: /usr/include/iodbc, /usr/share/libiodbc, and /etc/iodbc

### Short Descriptions

iodbc-config | is a utility for retrieving the installation options of libiodbc
iodbctest{,w} | are interactive SQL processors
iodbcadm-gtk | is a graphical administration utility

Last updated on 2021-02-21 11:05:24 -0800

- Prev

  libidn2-2.3.0

- Next

  libksba-1.5.0

- Up
- Home